Jump to content
loupiloop

[Résolu] Message "Vous ne pouvez plus utiliser cet outil pour mettre à jour votre boutique."

Recommended Posts

Bonjour,

J'ai suivi ce tuto pour mettre à jour ma boutique, mais quand je tape l'url de l'install/ j'ai cette erreur
http://www.my-theme-shop.com/tuto-prestashop/tutoriel-video-prestashop-comment-mettre-a-jour-prestashop

"Attention: Vous ne pouvez plus utiliser cet outil pour mettre à jour votre boutique.
Vous avez déjà PrestaShop version 1.4.7.0 d'installé."

Pourquoi ? J'aimerais passer de 1.4.7.0 à 1.5.2.0
Pourquoi n'y at-il pas le bouton pour dire "Mettre à jour restahsop" comme dans le tuto aussi.

Merci beaucoup !

Edited by loupiloop (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai suivi ce tuto pour mettre à jour ma boutique, mais quand je tape l'url de l'install/ j'ai cette erreur

http://www.my-theme-...jour-prestashop

 

"Attention: Vous ne pouvez plus utiliser cet outil pour mettre à jour votre boutique.

Vous avez déjà PrestaShop version 1.4.7.0 d'installé."

 

Pourquoi ? J'aimerais passer de 1.4.7.0 à 1.5.2.0

Pourquoi n'y at-il pas le bouton pour dire "Mettre à jour restahsop" comme dans le tuto aussi.

 

Merci beaucoup !

 

Bonjour,

 

Passe par le module autoupgrade disponible gratuitement sur prestashop/addons ( télécharge et install le).

 

Avant toutes choses sauvegarde manuellement tout tes fichiers de ton prestashop actuel et fait une sauvegarde de ta BDD, par mesure de prévention ( l'autoupgrade fera aussi une sauvegarde auto de ta BDD et images).

 

Pour faire la mise à jour vers prestashop 1.5.2.0 procède comme ceci :

 

- Télécharge prestashop 1.5.2.0 et décompresse le, tu obtiendra un répertoire prestashop (avec les fichiers dedans)

- uplod le répertoire obtenu par FTP dans ton répertoire admin/autoupgrade/latest/ de ton prestashop actuel

- Va ensuite dans ton back office dans ton module autoupgrade (assure toi d'avoir la derniere version), regarde si tout est bien coché en vert et clique sur plus d'options (mode expert).

- Choisi dans CANAL : repertoire local ( c'est la ou tu as uploader ton prestashop 1.5.2.0)

- indique dans la petite case en bas à droite de 1.4.7.0 vers : 1.5.2.0

- Et tu sauvegarde.

- Tu parametres les options plus bas à ta convenance et tout devrait être ok pour ta mise à jour.

 

Toutefois personnellement je ne te conseille pas de faire la mise à jour tout de suite je trouve la version 1.5.2.0 encore trop instable pour tourner en production, après c'est toi qui voit. :)

Edited by Game7 (see edit history)

Share this post


Link to post
Share on other sites

SAlut

 

Merci pour ta réponse rapide.

Effectivement, je suis partie sur la miseà jour du tuto qui est faite pour les 1.4.xx j'ai l'impression.

J'avais tout sauvegardé : fichiers dans shop/ et ma BDD.

J'ai vidé le répertoire de mon serveur.

J'avais copié tous les fichiers dézippés de la nouvelle version dedans et y ai copié l'ancien fichier setting.inc.php dans shop/config/ (comme indiqué dans le tuto)

Ensuite , j'ai tapé www.monsite.com/install et c'est là que j'ai eu l'erreur.

 

Du coup, là je fais marche arrière, j'ai re-supprimé tous les (nouveaux) fichiers qu'il y a sur mon serveur, et je suis en train de recopier les anciens fichiers de ma boutique en 1.4.7.0...

 

Après je vais essayer ta méthode.

 

Sinon, je pensais passer par la miseà jour automatique, vu que je ne maitrise pas la manuelle.

Sinon, j'ai vu ici http://doc.prestashop.com/pages/viewpage.action?pageId=11272350#Mise%C3%A0jourmanuelle-Troisi%C3%A8me%C3%A9tapeLancerlamise%C3%A0jourlocale, qu'on devait taper /install/upgrade/upgrade.php. dans l'url de mon site pour lancer la mise à jour et non "/install" . Il y a une différence ?

 

La mise à jour m'a été demandée par mon client. Mais effectivement, si tu peux que ma version convient mieux, je vais laisser ainsi pour le moment. Je n'ai pas envie d'avoir des bugs.

 

Merci !

Share this post


Link to post
Share on other sites

re,

j'ai mis à jour avec la 1.4.9.0 en attendant. j'ai effectivement vu sur le net que certains avaient des bugs avec la 1.5.2.0.

La mise à jour en automatique a parfaitement fonctionné depuis le backoffice !

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More